JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Macros | Typedefs | Enumerations | Functions | Variables
juce_UnityPluginInterface.h File Reference

## Macros
#define | UNITY_AUDIO_PLUGIN_API_VERSION 0x010401
#define | UNITY_INTERFACE_API
#define | UNITY_INTERFACE_EXPORT __attribute__ ((visibility ("default")))

## Typedefs
typedef int(* | createCallback) (UnityAudioEffectState *state)
typedef int(* | releaseCallback) (UnityAudioEffectState *state)
typedef int(* | resetCallback) (UnityAudioEffectState *state)
typedef int(* | processCallback) (UnityAudioEffectState *state, float *inBuffer, float *outBuffer, unsigned int bufferSize, int numInChannels, int numOutChannels)
typedef int(* | setPositionCallback) (UnityAudioEffectState *state, unsigned int pos)
typedef int(* | setFloatParameterCallback) (UnityAudioEffectState *state, int index, float value)
typedef int(* | getFloatParameterCallback) (UnityAudioEffectState *state, int index, float *value, char *valuestr)
typedef int(* | getFloatBufferCallback) (UnityAudioEffectState *state, const char *name, float *buffer, int numsamples)
typedef int(* | distanceAttenuationCallback) (UnityAudioEffectState *state, float distanceIn, float attenuationIn, float *attenuationOut)
typedef void(* | renderCallback) (int eventId)

## Enumerations
enum | UnityAudioEffectDefinitionFlags { isSideChainTarget = 1 , isSpatializer = 2 , isAmbisonicDecoder = 4 , appliesDistanceAttenuation = 8 }
enum | UnityAudioEffectStateFlags { stateIsPlaying = 1 , stateIsPaused = 2 , stateIsMuted = 8 , statIsSideChainTarget = 16 }
enum | UnityEventModifiers { shift = 1 , control = 2 , alt = 4 , command = 8 , numeric = 16 , capsLock = 32 , functionKey = 64 }

## Functions
| __attribute__ ((visibility("default"))) int UnityGetAudioEffectDefinitions(UnityAudioEffectDefinition ***definitionsPtr)

## Variables
void * | textureHandle
void int | w
void int int | h
float | x
float float | y
float float UnityEventModifiers | mods
float float UnityEventModifiers int | button
int | code
int UnityEventModifiers const char * | name